Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Interface AppletInitializer

public interface AppletInitializer

This interface is designed to work in collusion with java.beans.Beans.instantiate. The interafce is intended to provide mechanism to allow the proper initialization of JavaBeans that are also Applets, during their instantiation by java.beans.Beans.instantiate().

Since:
  1.2
See Also:
  `Beans.instantiate(java.lang.ClassLoader, java.lang.String)`

Method Summary
`void` | `activate(Applet newApplet)` Activate, and/or mark Applet active.
`void` | `initialize(Applet newAppletBean, BeanContext bCtxt)` If passed to the appropriate variant of java.beans.Beans.instantiate this method will be called in order to associate the newly instantiated Applet (JavaBean) with its AppletContext, AppletStub, and Container.

Method Detail

### initialize

    public void initialize(Applet newAppletBean,
                           BeanContext bCtxt)

  If passed to the appropriate variant of java.beans.Beans.instantiate this method will be called in order to associate the newly instantiated Applet (JavaBean) with its AppletContext, AppletStub, and Container.

  Conformant implementations shall:

  1. Associate the newly instantiated Applet with the appropriate AppletContext.
  2. Instantiate an AppletStub() and associate that AppletStub with the Applet via an invocation of setStub().
  3. If BeanContext parameter is null, then it shall associate the Applet with its appropriate Container by adding that Applet to its Container via an invocation of add(). If the BeanContext parameter is non-null, then it is the responsibility of the BeanContext to associate the Applet with its Container during the subsequent invocation of its addChildren() method.

  Parameters:
    `newAppletBean` - The newly instantiated JavaBean
    `bCtxt` - The BeanContext intended for this Applet, or null.

### activate

    public void activate(Applet newApplet)

  Activate, and/or mark Applet active. Implementors of this interface shall mark this Applet as active, and optionally invoke its start() method.

  Parameters:
    `newApplet` - The newly instantiated JavaBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.